//  DesignManager for DX based applications
//
//  The DesignElement class provides the container for information about a single design el;ement
//
//  Message Identifier:      DXR
//  Message Range:           5500 - 5999
//  Trace area assignment:   TRACE_DM (24)
//  DX Version:				 3.10.9
//  Version:                 2.1.0  Build: 115
//
//  Version History:
//
//  20/06/2011		-  2.1.0		-  Tidy up for unix
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001-2009
//

//  Application Includes
#include "DesignElement.h"

//  Default Constructor
DesignElement::DesignElement(void)
:ElementType(0)
, DesignOptions(0)
{
	ElementName[0] = '\0';
	ElementUNID[0] = '\0';
	DesignURL[0] = '\0';
}

//  Destructor
DesignElement::~DesignElement(void)
{
}
