//  DXException
//
//  This class encapsulates exception information in the Domino eXplorer framework
//
//  Message Identifier:      
//  Message Range:           
//  Trace area assignment:   
//  DX Version:				 3.10.0
//  Version:                 3.10.0  Build: 80
//
//  Version History:
//
//  3.1.1		03/02/2009		Re-based ready for 4.0.0
//  3.10.0		01/10/2010		Wildcard & multi-thread execution added to DX processing
//								DXNoteScanner incorporated in kernel
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2004-2010
//

#include "DXException.h"

DXException::DXException(void)
: ExceptionType(0)
, ExceptionCode(0)
, IsPercolated(false)
, LineNumber(0)
, DestroyContext(false)
, FaultingThread(0)
{
	DXExceptionMessage[0] = '\0';
	LocalExceptionMessage[0] = '\0';
	OriginatingFunction[0] = '\0';
}

DXException::~DXException(void)
{
}
