#pragma once
//  DXUCItem
//
//  This class is used to define an item that is part of a file upload context
//
//  Message Identifier:      N/A
//  Message Range:           N/A
//  Trace area assignment:   N/A
//  Version:                 3.10.6			Build:  87
//
//  Version History:
//
//  3.10.6		19/03/2011		Initial Version
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2011
//

//  Platform Includes
#include	"Platform/PlatBase.h"							//  Base includes

//  Runtime Includes
#include	"DXGlobals.h"									//  Global Definitions

class DXUCItem
{
public:
	//  Constructor
	DXUCItem(void);

	//  Destructor
	~DXUCItem(void);

	//  Public Members
    char			szItemName[MAX_DESC + 1];				//  Item Name
    char			szEncodedValue[MAX_MSG + 1];			//  Encoded (Stream value)
    DXUCItem		*pNextItem;								//  Pointer to next UCItem
};

