#include "RunSettings.h"
//  RunSettings
//
//  This class provides the base class for setting and providing the run settings for a DX application
//
//  Message Identifier:      N/A
//  Message Range:           0000 - 0000
//  Trace area assignment:   None
//  DX Version:				 3.11.1
//  Version:                 3.11.1  Build: 99
//
//  Version History:
//
//  3.10.1		15/10/2010		Asynch Transaction Handler added
//  3.10.9		04/06/2011		Some tidying up for Linux
//  3.11.1		22/10/2011		VS 2011 readiness
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2010 - 2011
//

//  Object Constructor
//
RunSettings::RunSettings(void)
{
}

//  Object Constructor
//
RunSettings::RunSettings(int argc, char * argv[])
: IsValid(FALSE)
, AllowExecution(FALSE)
, LogLevel(LOGLEVEL_NORMAL)
, EchoLog(FALSE)
, NoAppLog(FALSE)
, NoRepository(FALSE)
, CreateRepository(FALSE)
, CreateOnDemand(FALSE)
, UpdateDesign(FALSE)
, SignDesign(FALSE)
, RunningAsAddin(FALSE)
, NeedsMQ(TRUE)
, AllowMultipleAddins(FALSE)
, TraceArea(0)
{
}

//  Object Destructor
//
RunSettings::~RunSettings(void)
{
}
