//  Runnable
//
//  Interface for Thread Runnable classes
//
//  Message Identifier:      
//  Message Range:           
//  Trace area assignment:   
//  DX Version:				 3.10.0
//  Version:                 3.10.0  Build: 80
//
//  Version History:
//
//  3.1.1		03/02/2009		Re-based ready for 4.0.0
//

//  Application Includes
#include "Runnable.h"

//  Constructor
Runnable::Runnable(void)
:RunObjectSignature(DXRUN_SIGNATURE)
{
}

//  Destructor
Runnable::~Runnable(void)
{
}

//  ExecuteThisRequest
//
//  This interface is used by the multi-threading kernel to pass requests asynchronously to objects that perform actions.
//
//  Parameters
//
//
//  1	-		void *	- An anaonymous pointer to the request object
//  2   -		int		- Thread ID of the current Thread
//
//  Returns
//
//
//  API Use Notes:
//
//
void Runnable::ExecuteThisRequest(void *pReqObject, int iThreadID)
{
}
