#pragma once
//  Runnable
//
//  Interface for Thread Runnable classes
//
//  Message Identifier:      
//  Message Range:           
//  Trace area assignment:   
//  DX Version:				 3.10.0
//  Version:                 3.10.0  Build: 80
//
//  Version History:
//
//  3.1.1		03/02/2009		Re-based ready for 4.0.0
//

//  Local Definitions
#define		DXRUN_SIGNATURE			13247					//  Valid Runnable object signature

class Runnable
{
public:
	//  Base Constructor
	Runnable(void);

	//  Destructor
	~Runnable(void);

	//  Public Members
	int	RunObjectSignature;									//  Runnable object signature

	//  Interface members
	void virtual ExecuteThisRequest(void * pReqObject, int iThreadID) = 0;
};
