//  DXUCItem
//
//  This class is used to define an item that is part of a file upload context
//
//  Message Identifier:      N/A
//  Message Range:           N/A
//  Trace area assignment:   N/A
//  Version:                 3.10.6			Build:  87
//
//  Version History:
//
//  3.10.6		19/03/2011		Initial Version
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2011
//

//  Applicaton Includes
#include	"DXUCItem.h"

//  Constructor
DXUCItem::DXUCItem()
{
	szItemName[0] = '\0';
	szEncodedValue[0] = '\0';
	pNextItem = NULL;
}

//  Destructor
//  The destructor will delete the next (if any) item on the chain
DXUCItem::~DXUCItem()
{
	if (pNextItem != NULL) delete pNextItem;
}
