//  DXUploadContext
//
//  This class is used to hold information needed for uploading a file via the Resource Loader.
//
//  Message Identifier:      N/A
//  Message Range:           N/A
//  Trace area assignment:   N/A
//  Version:                 3.10.6			Build:  87
//
//  Version History:
//
//  3.10.6		19/03/2011		Initial Version
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2011
//

//  Application Includes
#include	"DXUploadContext.h"

//  Constructor
DXUploadContext::DXUploadContext()
{
	szFormURL[0] = '\0';
	szSubmitAction[0] = '\0';
	szFileName[0] = '\0';
	pFirstItem = NULL;
}

//  Destructor
//  The destructor will destroy the first (if any) Upload Context item on the chain
DXUploadContext::~DXUploadContext()
{
	if (pFirstItem != NULL) delete pFirstItem;
}
