//  NamedEntity
//
//  This class provides a container for cached information stored and used by the NEResolver (Named Entity Resolver).
//
//  Message Identifier:      N/A
//  Message Range:           0000 - 0000
//  Trace area assignment:   N/A
//  DX Version:				 3.11.0
//  Version:                 3.11.0  Build: 98
//
//  Version History:
//
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2011
//

//  Application Includes
#include	"NamedEntity.h"

//  Constructor
NamedEntity::NamedEntity()
{
	//  Clear all of the Identities from the object and mark the identities as empty
	AID[0] = '\0';
	DDN[0] = '\0';
	ADDN[0] = '\0';
	EMAIL[0] = '\0';
	ADUID[0] = '\0';
	ADLogin[0] = '\0';
	AIDAff = NE_ID_EMPTY;
	DDNQ = NE_DN_EMPTY;
	ADDNQ = NE_DN_EMPTY;
	EMDNQ = NE_DN_EMPTY;
}

//  Destructor
NamedEntity::~NamedEntity()
{
}

